---

extranet_epita_pie_subnets:
  - 10.202.7.0/25  #cisco
  - 10.202.28.0/25  #kb203
  - 10.201.4.0/25  #lab-forge
  - 10.202.5.0/25  #labsr
  - 10.202.6.0/25  #midlab
  - 10.202.8.0/25  #sm14
  - 10.202.9.0/25  #sm15
  - 10.202.10.0/25  #sm16
  - 10.202.19.0/25  #lv201
  - 10.202.20.0/25  #lv202
  - 10.202.21.0/25  #lv203
  - 10.202.31.0/25  #lv4
  - 10.202.22.0/25  #lv503
  - 10.202.23.0/25  #lv504
  - 10.202.24.0/25  #rv10
  - 10.202.25.0/25  #rv11
  - 10.202.18.0/25  #sh101b
  - 10.202.4.0/25  #sh102
  - 10.202.17.0/25  #sh403
  - 10.202.33.0/25  #tc60
  - 10.202.34.0/25  #tc61
  - 10.202.35.0/25  #tc62
  - 10.202.1.0/25  #tr42
  - 10.202.1.128/26  #tr51a
  - 10.202.3.128/26  #tr51b
  - 10.202.3.0/25  #tr52
  - 10.202.3.192/27  #tr53
  - 10.202.11.0/26  #v302
  - 10.202.12.0/26  #v303
  - 10.202.13.0/26  #v304
  - 10.202.14.0/26  #v305
  - 10.202.15.0/26  #v306
  - 10.202.16.0/26  #v311

nft_var_definitions:
  - comment: Subnets
    with_items:
      - name: subnet_extranet
        value: 100.80.0.0/14
      - name: subnet_extranet_clients_prod
        value: 100.80.90.0/24
      - name: subnet_extranet_clients_admin
        value: 100.80.91.0/24
      - name: subnet_extranet_clients
        value: "{$subnet_extranet_clients_admin,$subnet_extranet_clients_prod}"
      - name: subnet_extranet_services_th2
        value: 100.80.1.0/24
      - name: subnet_extranet_epita_prod
        value: 100.80.80.0/24
      - name: subnet_extranet_epita_admin
        value: 100.80.81.0/24
      - name: subnet_extranet_epita_mgmt
        value: 100.80.82.0/24
      - name: subnet_epita_pie
        value: 10.202.0.0/16
      - name: subnet_epita_pie_services
        value: 10.201.0.0/16
      - name: subnet_epita_dmz
        value: 10.201.13.0/24
      - name: subnet_iris_vms
        value: 192.168.1.0/24

  - comment: Host IPs
    with_items:
      - name: ip_iris_vms
        value: 192.168.1.254
      - name: ip_extranet_services
        value: 100.80.1.20
      - name: ip_fw_epita_pie
        value: 10.201.13.253
      - name: ip_semifinals
        value: 100.80.1.31

  - comment: Host interfaces
    with_items:
      - name: if_fw_extranet_clients
        value: clients0
      - name: if_fw_extranet_admin
        value: admin0
      - name: if_fw_extranet_th2
        value: ens4
      - name: if_fw_extranet_external
        value: ens3

nft_filter_input_rules_common:
  - comment: Drop invalid connections
    raw: ct state invalid drop
  - comment: Accept all traffic from localhost
    iif: lo
  - comment: Allow ICMP
    raw: ip protocol icmp accept

nft_filter_input_rules: "{{ nft_filter_input_rules_common + nft_filter_input_rules_extra }}"
